Bug 122039 - Package has unavailable dependency
Package has unavailable dependency
Product: Fedora
Classification: Fedora
Component: perl-Net-DNS (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
Depends On:
  Show dependency treegraph
Reported: 2004-04-29 17:04 EDT by Graydon Saunders
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-28 12:43:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Graydon Saunders 2004-04-29 17:04:49 EDT
Description of problem: 
Spamassassin needs perl-Net-DNS; perl-Net-DNS needs 
perl(Win32:Registry), which isn't available as part of test3. 
Version-Release number of selected component (if applicable) 
How reproducible: 
Steps to Reproduce: 
1. Attempt to install per-Net-DNS using rpm or apt 
Actual results: 
[root@grithr root]# rpm 
-Uvh /usr/src/redhat/RPMS/i386/perl-Net-DNS-0.45-2.i386.rpm 
error: Failed dependencies: 
        perl(Win32::Registry) is needed by perl-Net-DNS-0.45-2 
[root@grithr root]# apt-get install perl-Net-DNS 
Reading Package Lists... Done 
Building Dependency Tree... Done 
Some packages could not be installed. This may mean that you have 
requested an impossible situation or if you are using the unstable 
distribution that some required packages have not yet been created 
or been moved out of Incoming. 
Since you only requested a single operation it is extremely likely 
that the package is simply not installable and a bug report against 
that package should be filed. 
The following information may help to resolve the situation: 
The following packages have unmet dependencies: 
  perl-Net-DNS: Depends: perl(Win32::Registry) but it is not 
E: Broken packages 
Expected results: 
perl-Net-DNS will install, allowing spamassassin to be installed 
Additional info:
Comment 1 Chip Turner 2004-04-29 19:28:41 EDT
fixed in cvs, should be in next rawhide push as 0.45-3
Comment 2 Graydon Saunders 2004-05-03 11:22:35 EDT
perl-Net-DNS-0.45-3 works. 

Note You need to log in before you can comment on or make changes to this bug.